RDKit: RDKit::MolStandardize::TautomerCatalogParams Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolStandardize::TautomerCatalogParams Class Reference

`#include <TautomerCatalogParams.h>`

Inheritance diagram for RDKit::MolStandardize::TautomerCatalogParams:

## Public Member Functions
| TautomerCatalogParams ()
| TautomerCatalogParams (const std::string &tautomerFile)
| TautomerCatalogParams (const TautomerTransformDefs &data)
| TautomerCatalogParams (const TautomerCatalogParams &other)
| ~TautomerCatalogParams () override
const std::vector< TautomerTransform > & | getTransforms () const
const TautomerTransform | getTransform (unsigned int fid) const
void | toStream (std::ostream &) const override
| serializes (pickles) to a stream
std::string | Serialize () const override
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss) override
| initializes from a stream pickle
void | initFromString (const std::string &text) override
| initializes from a string pickle
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string
void | setTypeStr (const std::string &typeStr)
| sets our type string

## Additional Inherited Members
Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string

## Detailed Description

Definition at line 64 of file TautomerCatalogParams.h.

## Constructor & Destructor Documentation

## ◆ TautomerCatalogParams() [1/4]

RDKit::MolStandardize::TautomerCatalogParams::TautomerCatalogParams | ( |  | ) |
| inline

Definition at line 67 of file TautomerCatalogParams.h.

References RDCatalog::CatalogParams::d_typeStr.

Referenced by TautomerCatalogParams().

## ◆ TautomerCatalogParams() [2/4]

RDKit::MolStandardize::TautomerCatalogParams::TautomerCatalogParams | ( | const std::string & | tautomerFile | ) |

## ◆ TautomerCatalogParams() [3/4]

RDKit::MolStandardize::TautomerCatalogParams::TautomerCatalogParams | ( | const TautomerTransformDefs & | data | ) |

## ◆ TautomerCatalogParams() [4/4]

RDKit::MolStandardize::TautomerCatalogParams::TautomerCatalogParams | ( | const TautomerCatalogParams & | other | ) |

References TautomerCatalogParams().

## ◆ ~TautomerCatalogParams()

RDKit::MolStandardize::TautomerCatalogParams::~TautomerCatalogParams | ( |  | ) |
| override

## Member Function Documentation

## ◆ getTransform()

const TautomerTransform RDKit::MolStandardize::TautomerCatalogParams::getTransform | ( | unsigned int | fid | ) | const

## ◆ getTransforms()

const std::vector< TautomerTransform > & RDKit::MolStandardize::TautomerCatalogParams::getTransforms | ( |  | ) | const

## ◆ initFromStream()

void RDKit::MolStandardize::TautomerCatalogParams::initFromStream | ( | std::istream & | ss | ) |
| overridevirtual

initializes from a stream pickle

Implements RDCatalog::CatalogParams.

## ◆ initFromString()

void RDKit::MolStandardize::TautomerCatalogParams::initFromString | ( | const std::string & | text | ) |
| overridevirtual

initializes from a string pickle

Implements RDCatalog::CatalogParams.

## ◆ Serialize()

std::string RDKit::MolStandardize::TautomerCatalogParams::Serialize | ( |  | ) | const
| overridevirtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogParams.

## ◆ toStream()

void RDKit::MolStandardize::TautomerCatalogParams::toStream | ( | std::ostream & |  | ) | const
| overridevirtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- TautomerCatalogParams.h